Package twisted :: Package persisted :: Module sob

[frames | no frames]

## Module twisted.persisted.sob

Save and load Small OBjects to and from files, using various formats.

API Stability: unstable

Maintainer: Moshe Zadka

Classes
`_EverythingEphemeral` |
`IPersistable` | An object which can be saved in several formats to a file
`Persistant` |
`Persistent` |

Function Summary
| `_decrypt(passphrase, data)`
| `_encrypt(passphrase, data)`
| `guessType(filename)`
| ``load`(filename, style, passphrase)` Load an object from a file.
| ``loadValueFromFile`(filename, variable, passphrase)` Load the value of a variable in a Python file.

Function Details

### load(filename, style, passphrase=None)

Load an object from a file.

Deserialize an object from a file. The file can be encrypted.

  Parameters:
    `filename` - string
    `style` - string (one of 'source', 'xml' or 'pickle')
    `passphrase` - string

### loadValueFromFile(filename, variable, passphrase=None)

Load the value of a variable in a Python file.

Run the contents of the file, after decrypting if `passphrase` is given, in a namespace and return the result of the variable named `variable`.

  Parameters:
    `filename` - string
    `variable` - string
    `passphrase` - string

Generated by Epydoc 2.0 on Sat May 15 20:08:26 2004 | http://epydoc.sf.net